const path = require('path');
const BundleTracker = require('webpack-bundle-tracker');

module.exports = {
  mode: "production",
  context: __dirname,
  entry: {
    base: {
      import: path.resolve("static_src", "base.js"),
      dependOn: "shared",
    },
    member_group_size_calc: {
      import: path.resolve("static_src", "member_group_size_calc.js"),
      dependOn: "shared",
    },
    rv_voting_calc: {
      import: path.resolve("static_src", "rv_voting_calc.js"),
      dependOn: "shared",
    },
    mail_signature: {
      import: path.resolve("static_src", "mail_signature.js"),
      dependOn: "shared",
    },
    shared: ["jquery"],
  },
  output: {
    path: path.resolve(__dirname, "shared", "static", "shared"),
    filename: "[name]-[fullhash].js",
  },
  module: {
    rules: [
      {
        test: /\.css$/i,
        use: ["style-loader", "css-loader"],
      },
    ],
  },
  optimization: {
    runtimeChunk: "single",
  },
  plugins: [
    new BundleTracker({filename: './webpack-stats.json'})
  ],
};
